#
# spec file for package osslsigncode
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        Platform-independent tool for Authenticode signing of EXE/CAB files
License:        GPL-2.0+
Group:          Productivity/Security
Url:            http://osslsigncode.sourceforge.net/
Name:           osslsigncode
Version:        1.7.1
Release:        4.3
Source0:        http://downloads.sourceforge.net/project/osslsigncode/osslsigncode/osslsigncode-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  openssl-devel

%description
osslsigncode is a small utility for placing signatures on Microsoft cabinate
files and executables.

%prep
%setup -q

%build
%configure
make

%install
%make_install

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/*

%changelog
* Sun Mar  8 2015 p.drouand@gmail.com
- Update to version 1.7.1
  * MSI: added -add-msi-dse option
  * MSI: fix build when GSF_CAN_READ_MSI_METADATA defined
- Add autoconf, automake and pkg-config BuildRequire; new dependencies
- Move to pkg-config depend style
* Wed Jan 23 2013 fcrozat@suse.com
- Initial package for openSUSE (based on James Bottomley package).
